ASP.NET MVC 4 scaffolding does not support Entity Framework 6 or later

Symptoms

When you use the Scaffolding Wizard with ASP.NET MVC 4, the following error message is displayed:

MVC scaffolding does not support Entity Framework 6 or later. For more information please visit 
http://go.microsoft.com/fwlink/?LinkId=276833.


Cause

ASP.NET MVC 4 scaffolding does not support Entity Framework 6 or higher. Support of scaffolding of Entity Framework 6 is targeted for the next release of ASP.NET MVC.


Resolution

You must manually scaffold your views or use Entity Framework 5 for scaffolding. Once you scaffold your application, you can use Entity Framework 6.


Properties

Article ID: 2816241 - Last Review: Feb 18, 2013 - Revision: 1

Feedback